Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.interop
Class RMInteropServiceMessageReceiverInOut

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
              org.apache.sandesha2.interop.RMInteropServiceMessageReceiverInOut

All Implemented Interfaces:
  org.apache.axis2.engine.MessageReceiver

    public class RMInteropServiceMessageReceiverInOut

extends org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver

RMInteropServiceMessageReceiverInOut message receiver

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`org.apache.axis2.receivers.AbstractMessageReceiver.AsyncMessageReceiverWorker, org.apache.axis2.receivers.AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`RMInteropServiceMessageReceiverInOut()`

Method Summary
`void` | `invokeBusinessLogic(org.apache.axis2.context.MessageContext msgContext, org.apache.axis2.context.MessageContext newMsgContext)`

Methods inherited from class org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver
`invokeBusinessLogic`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMInteropServiceMessageReceiverInOut

    public RMInteropServiceMessageReceiverInOut()

Method Detail

### invokeBusinessLogic

    public void invokeBusinessLogic(org.apache.axis2.context.MessageContext msgContext,
                                    org.apache.axis2.context.MessageContext newMsgContext)
                             throws org.apache.axis2.AxisFault

  Specified by:
    `invokeBusinessLogic` in class `org.apache.axis2.receivers.AbstractInOutSyncMessageReceiver`
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.